<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.microprofile-config-smallrye.config-source-provider.class">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="name,module"/>
        <elem name="complex-attribute" value="class"/>
        <elem name="addr-params" value="profile,subsystem,config-source-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-config-smallrye"/>
    </annotation>
    <refs>
        <ref feature="subsystem.microprofile-config-smallrye.config-source-provider"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="name"/>
        <param name="subsystem" feature-id="true" default="microprofile-config-smallrye"/>
        <param name="config-source-provider" feature-id="true"/>
        <param name="module"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>